diff -r 9528814bc9bd qpy/QtCore/qpycore_pyqtboundsignal.cpp
--- a/qpy/QtCore/qpycore_pyqtboundsignal.cpp	Wed Mar 17 18:26:22 2010 +0000
+++ b/qpy/QtCore/qpycore_pyqtboundsignal.cpp	Fri Mar 19 12:52:03 2010 +0000
@@ -561,6 +561,13 @@
     {
         rx_self = PyCFunction_GET_SELF(slot_obj);
         rx_name = ((PyCFunctionObject *)slot_obj)->m_ml->ml_name;
+
+        // We actually want the C++ name which may (in theory) be completely
+        // different.  However this will cope with the exec_ case which is
+        // probably good enough.
+        if (rx_name.endsWith('_'))
+            rx_name.chop(1);
+
         need_qt_slot = true;
     }
     else